[EventCalendar] ec3_filter_post_fields php 5.3

Ryan Stasel staze at mac.com
Tue Aug 4 20:10:33 UTC 2009


All,

In looking through the archives for this list, I did see some  
reference to fixes for PHP 5.3, but I can't seem to find what they  
actually fix.

When I updated to 5.3, I got the following error when loading my page:

> PHP Warning:  Parameter 1 to ec3_filter_posts_fields() expected to  
> be a reference, value given in /WebServer/Documents/csws/wp-includes/ 
> plugin.php on line 166

Then also this, which I'm thinking is related, but might not be (it  
could be something else throwing that error, but I figure one thing at  
a time):

> WordPress database error You have an error in your SQL syntax; check  
> the manual that corresponds to your MySQL server version for the  
> right syntax to use near 'FROM wp_posts  WHERE 1=1   ORDER BY  
> wp_posts.post_date DESC LIMIT 0, 12' at line 1 for query  SELECT  
> SQL_CALC_FOUND_ROWS   FROM wp_posts  WHERE 1=1 ORDER BY  
> wp_posts.post_date DESC LIMIT 0, 12 made by require, require_once,  
> include, get_sidebar, locate_template, load_template, require_once,  
> include, dynamic_sidebar, call_user_func_array, WP_Widget- 
> >display_callback, WP_Widget_Recent_Posts->widget, WP_Query- 
> >WP_Query, WP_Query->query, WP_Query->get_posts

Aside from the query being a bit odd (where 1=1), I'm curious if  
anyone else has seen this? And how to fix. I'm fine with PHP 5.2.9 at  
this point, but it would be nice to get the added speedups with 5.3.

Thanks!

-Ryan Stasel



More information about the EventCalendar mailing list